Skip to main content
GET
/
v1
/
management
/
connections
List connections
curl --request GET \
  --url https://reporter.sandbox.lerian.net/v1/management/connections
{
  "page": 1,
  "limit": 50,
  "total": 3,
  "items": [
    {
      "id": "019996b8-f3d1-7d2b-a192-6e91464d82fc",
      "configName": "Midaz - Banco Transacional",
      "productName": "my-product",
      "type": "POSTGRESQL",
      "host": "postgres.cliente.com.br",
      "port": 5432,
      "databaseName": "transaction",
      "userName": "user_midaz_read",
      "schema": "public",
      "ssl": {
        "mode": "require"
      },
      "metadata": {},
      "createdAt": "2025-09-25T10:30:00Z",
      "updatedAt": "2025-09-25T10:30:00Z"
    },
    {
      "id": "019996b9-174d-7a23-9f87-f7336d5ad98c",
      "configName": "Midaz - Metadados de Transacao",
      "productName": "my-product",
      "type": "MONGODB",
      "host": "mongo.cliente.com.br",
      "port": 27017,
      "databaseName": "transaction",
      "userName": "user_midaz_meta",
      "ssl": {
        "mode": "disable"
      },
      "metadata": {},
      "createdAt": "2025-09-25T10:32:00Z",
      "updatedAt": "2025-09-25T10:32:00Z"
    },
    {
      "id": "019996b9-3b1e-7475-bb50-c81bbb553432",
      "configName": "Midaz - Metadados de Onboarding",
      "productName": "my-product",
      "type": "MONGODB",
      "host": "mongo.cliente.com.br",
      "port": 27017,
      "databaseName": "onboarding",
      "userName": "user_onboarding_meta",
      "ssl": {
        "mode": "disable"
      },
      "metadata": {},
      "createdAt": "2025-09-24T18:00:00Z",
      "updatedAt": "2025-09-24T18:00:00Z"
    }
  ]
}

Headers

Authorization
string

The authorization token in the Bearer <token> format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

Example:

"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

X-Product-Name
string

Filter connections by product name. When provided, only connections associated with this product are returned. Must contain only alphanumeric characters, underscores, and hyphens (max 100 characters). The value is normalized to lowercase.

Maximum string length: 100
Pattern: ^[a-zA-Z0-9_-]+$
Example:

"my-product"

Query Parameters

page
integer
default:1

The page number to retrieve (1-indexed).

Required range: x >= 1
Example:

1

limit
integer
default:50

Maximum number of items returned per page (max 1000).

Required range: 1 <= x <= 1000
Example:

50

sortOrder
enum<string>
default:desc

The order used to sort the results.

Available options:
asc,
desc
Example:

"desc"

type
enum<string>

Filter connections by database type.

Available options:
ORACLE,
SQL_SERVER,
POSTGRESQL,
MONGODB,
MYSQL
host
string

Filter connections by hostname or IP address.

databaseName
string

Filter connections by database name.

startDate
string<date>

Filter connections created on or after this date (format YYYY-MM-DD).

Example:

"2025-01-01"

endDate
string<date>

Filter connections created on or before this date (format YYYY-MM-DD).

Example:

"2025-12-31"

Response

The list of all connections available for the organization.

Paginated list of connections.

page
integer
required

Current page number in the paginated results (1-indexed).

Example:

1

limit
integer
required

Maximum number of items returned per page.

Example:

50

total
integer
required

Total count of items available across all pages.

Example:

3

items
object[]
required

Array containing the connections for the current page.

Maximum array length: 100